
Smart Proxy - Bug #17125

Allow windows service name to be specified

10/28/2016 08:28 AM - Alex Fisher

Status: Closed   

Priority: Normal   

Assignee: Alex Fisher   

Category: Packaging   

Target version: 1.14.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/471

  

Description

The extra/register-service.rb script registers foreman proxy as a service in Windows with the service name 'smart proxy'.  Sometimes

it is required to run multiple proxy services on the same Windows server.  The script should allow the service name to be specified to

make this easier to setup.

Associated revisions

Revision 65d1b8de - 11/09/2016 10:36 AM - Alex Fisher

fixes #17125 - Prompt for Windows service name

Useful if you need to install multiple proxy services on the same

Windows server.

History

#1 - 10/28/2016 08:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/471 added

#2 - 11/09/2016 11:01 AM - Alex Fisher

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 65d1b8de480e7dd911d76271c03014d37b538147.

#3 - 11/10/2016 03:16 AM - Dominic Cleal

- Category set to Packaging

- translation missing: en.field_release set to 189
